Bug 1390067 - Progress speed/estimates are completely incorrect
Summary: Progress speed/estimates are completely incorrect
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Copr
Classification: Community
Component: cli
Version: unspecified
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: clime
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2016-10-31 07:21 UTC by Elliott Sales de Andrade
Modified: 2017-01-05 17:19 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2016-12-27 05:18:20 UTC


Attachments (Terms of Use)

Description Elliott Sales de Andrade 2016-10-31 07:21:50 UTC
Description of problem:
When I upload an srpm the progress estimates are completely wrong. The count is correct, so I have a rough idea how much is uploaded. But the speed is 50-80MB/s even though I've not even uploaded that much data and it's been long enough for the average to settle down. The ETA is almost always 2 seconds.

Version-Release number of selected component (if applicable):
copr-cli-1.57-1.fc24.noarch

Comment 2 Pavel Raiskup 2016-12-02 09:03:31 UTC
I missed this bugreport, sorry, fixed in python-progress:
https://bugzilla.redhat.com/show_bug.cgi?id=1299634

And submitted pull request:
https://pagure.io/copr/copr/pull-request/17

Comment 3 Fedora Update System 2016-12-02 09:22:02 UTC
python-copr-1.75-1.fc23 copr-cli-1.58-1.fc23 has been submitted as an update to Fedora 23. https://bodhi.fedoraproject.org/updates/FEDORA-2016-d0ffe6c134

Comment 4 Fedora Update System 2016-12-02 09:22:18 UTC
python-copr-1.75-1.fc25 copr-cli-1.58-1.fc25 has been submitted as an update to Fedora 25. https://bodhi.fedoraproject.org/updates/FEDORA-2016-f69f5dbfee

Comment 5 Fedora Update System 2016-12-02 09:22:35 UTC
python-copr-1.75-1.el6 copr-cli-1.58-1.el6 has been submitted as an update to Fedora EPEL 6. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2016-6ae237efcc

Comment 6 Fedora Update System 2016-12-02 09:23:15 UTC
python-copr-1.75-1.fc24 copr-cli-1.58-1.fc24 has been submitted as an update to Fedora 24. https://bodhi.fedoraproject.org/updates/FEDORA-2016-f63a8a0964

Comment 7 Fedora Update System 2016-12-02 09:23:31 UTC
python-copr-1.75-1.el7 copr-cli-1.58-1.el7 has been submitted as an update to Fedora EPEL 7. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2016-7d124bdfe6

Comment 8 Fedora Update System 2016-12-03 04:29:52 UTC
copr-cli-1.58-1.fc23, python-copr-1.75-1.fc23 has been pushed to the Fedora 23 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-d0ffe6c134

Comment 9 Fedora Update System 2016-12-03 04:37:07 UTC
copr-cli-1.58-1.fc25, python-copr-1.75-1.fc25 has been pushed to the Fedora 25 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-f69f5dbfee

Comment 10 Fedora Update System 2016-12-03 05:42:17 UTC
copr-cli-1.58-1.fc24, python-copr-1.75-1.fc24 has been pushed to the Fedora 24 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-f63a8a0964

Comment 11 Fedora Update System 2016-12-03 11:18:20 UTC
copr-cli-1.58-1.el6, python-copr-1.75-1.el6 has been pushed to the Fedora EPEL 6 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2016-6ae237efcc

Comment 12 Fedora Update System 2016-12-03 11:19:10 UTC
copr-cli-1.58-1.el7, python-copr-1.75-1.el7 has been pushed to the Fedora EPEL 7 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2016-7d124bdfe6

Comment 13 Fedora Update System 2016-12-27 05:18:20 UTC
copr-cli-1.58-1.fc25, python-copr-1.75-1.fc25 has been pushed to the Fedora 25 stable repository. If problems still persist, please make note of it in this bug report.

Comment 14 Fedora Update System 2016-12-27 15:47:51 UTC
copr-cli-1.58-1.fc25, python-copr-1.75-1.fc25 has been pushed to the Fedora 25 stable repository. If problems still persist, please make note of it in this bug report.

Comment 15 Fedora Update System 2017-01-04 18:18:19 UTC
copr-cli-1.58-1.el7, python-copr-1.75-1.el7 has been pushed to the Fedora EPEL 7 stable repository. If problems still persist, please make note of it in this bug report.

Comment 16 Fedora Update System 2017-01-04 21:21:39 UTC
copr-cli-1.58-1.fc24, python-copr-1.75-1.fc24 has been pushed to the Fedora 24 stable repository. If problems still persist, please make note of it in this bug report.

Comment 17 Fedora Update System 2017-01-05 04:19:38 UTC
copr-cli-1.58-1.el7, python-copr-1.75-1.el7 has been pushed to the Fedora EPEL 7 stable repository. If problems still persist, please make note of it in this bug report.

Comment 18 Fedora Update System 2017-01-05 17:19:02 UTC
copr-cli-1.58-1.el6, python-copr-1.75-1.el6 has been pushed to the Fedora EPEL 6 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.